Subject: MH-PW architecture

From: [email-masked]
Date: Mon, 7 Mar 2005 05:13:07 -0000

Luca, et al,

From section 5.2.1 in draft-ietf-pwe3-control-protocol-15.txt: “As discussed in [RFC3985], a pseudowire can be thought of as connecting two "forwarders".  The protocol used to setup a pseudowire must allow the forwarder at one end of a pseudowire to identify the forwarder at the other end.  We use the term "attachment identifier", or "AI", to refer to the field which the protocol uses to identify the Forwarders.”

I assume that if we apply this to the MH-PW case, then each SH-PW segment can be thought of as connecting two forwarders. If one of the PEs is a U-PE and the other is a S-PE, then one of the forwarders will map to an AC and the other will map to a PW. If both PEs are S-PEs then both map to PWs. Is this correct?

From section 4 of draft-martini-pwe3-pw-switching-02.txt: “First the PW switching point is configured to switch a SH-PW from a specific peer to another SH-PW destined for a different peer. No control messages are exchanged yet as the PW switching point PE does not have enough information to actually initiate the PW setup Messages.”

How can the switching point be configured to switch between SH-PWs if they have not been setup/signalled yet? Am I right in assuming here that it’s actually the ingress/egress AIs that are configured and associated with each other?

Also, on the subject of configuring AIs, the PWID FEC element uses a 32bit ID, which is easy to administer/allocate. The Generalised ID FEC element on the other hand uses octet strings for the AI (made up of the SAII, TAII, and AGI). PWE3-control describes how potentially, a SAI/TAI could be configured as “ATM3VPI4VCI5" or "Fred". However, in real world deployments, are these fields actually used in this way by providers, or do they generally just allocate numbers in sequence from a number range?

Thanks,
Richard

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

---

From: "Florin Balus" <[email-masked]>
Date: Mon, 7 Mar 2005 09:03:04 -0500

Richard,
See in-line...

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of [email-masked]
> Sent: Monday, March 07, 2005 12:13 AM
> To: [email-masked]; [email-masked]
> Subject: [PWE3] MH-PW architecture
> 
> 
> Luca, et al,
> 
>  
> 
> From section 5.2.1 in
> draft-ietf-pwe3-control-protocol-15.txt: "As discussed in 
> [RFC3985], a pseudowire can be thought of as connecting two 
> "forwarders".  The protocol used to setup a pseudowire must 
> allow the forwarder at one end of a pseudowire to identify 
> the forwarder at the other end.  We use the term "attachment 
> identifier", or "AI", to refer to the field which the 
> protocol uses to identify the Forwarders."
> 
>  
> 
> I assume that if we apply this to the MH-PW case, then each
> SH-PW segment can be thought of as connecting two forwarders. 
> If one of the PEs is a U-PE and the other is a S-PE, then one 
> of the forwarders will map to an AC and the other will map to 
> a PW. If both PEs are S-PEs then both map to PWs. Is this correct?
> 
  
It depends on what you want to achieve: i.e. if a total separation of
signaling components is desired - like in some Inter-provider scenarios BT
described in the past - then you can see the forwarders mapped the way you
described above. 

Another valid scenario (e.g. MH PWs between networks belonging to the same
provider,large volume deployments) is for the L2FEC to identify the PW
Endpoints: i.e. as a subsystem connecting the AC to the PW - see
draft-ietf-pwe3-arch-07.txt " Forwarder (FWRD) is a PE subsystem that
selects the PW to use to transmit a payload received on an AC."

>From a switching point perspective the latter is similar with the philosophy
used to set up the MPLS Tunnels: the LSR does not maintain a different
identifier per switching point for a L3FEC. Also in the L2 (e.g. PNNI)
networks there was no L2 address (e.g. NSAP) assigned on a per SVC switching
point.
_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

---

From: [email-masked]
Date: Mon, 7 Mar 2005 14:25:55 -0000

Florin,

Thanks for your reply. I agree that at S-PEs do not contain forwarders as described in the PWE3 arch. My main point is not really concerning forwarders, its about AI configuration at S-PEs. In the PW switching draft, SH-PWs are setup separately and then 'stitched' together. Now, in order to set up each SH-PW using LDP, each side of a SH-PW must be configured with an AI. At a U-PE an AI uniquely identifies a forwarder, which selects which AC to forward traffic from the PW to. However, what does an AI identify/map to at S-PEs? My assumption is that an AI at S-PEs identifies a M-PW switching function, which selects the correct egress SH-PW.

Is my understanding here correct, or am I missing something?

Thanks,

Richard

	-----Original Message----- 
	From: Florin Balus [mailto:[email-masked]] 
	Sent: Mon 07/03/2005 09:03 
	To: Spencer,R,Richard,XDE73 R; [email-masked]; [email-masked] 
	Cc: 
	Subject: RE: [PWE3] MH-PW architecture

	Richard, 
	See in-line... 

	> a PW. If both PEs are S-PEs then both map to PWs. Is this correct? 
	  
	It depends on what you want to achieve: i.e. if a total separation of signaling components is desired - like in some Inter-provider scenarios BT described in the past - then you can see the forwarders mapped the way you described above. 

	Another valid scenario (e.g. MH PWs between networks belonging to the same provider,large volume deployments) is for the L2FEC to identify the PW Endpoints: i.e. as a subsystem connecting the AC to the PW - see draft-ietf-pwe3-arch-07.txt " Forwarder (FWRD) is a PE subsystem that selects the PW to use to transmit a payload received on an AC."

	From a switching point perspective the latter is similar with the philosophy used to set up the MPLS Tunnels: the LSR does not maintain a different identifier per switching point for a L3FEC. Also in the L2 (e.g. PNNI) networks there was no L2 address (e.g. NSAP) assigned on a per SVC switching point.

---

From: Sasha Vainshtein <[email-masked]>
Date: Mon, 7 Mar 2005 17:41:30 +0200

Richard and all,
IMHO the question - as clarified in your latest email - is a valid and
important one.

One possible answer, IMO, is like following:

In the SH-PW case, AIs are unique and identify the pair of
forwarders in the scope defined by the pair of U-PEs.
Since they are only recognized by the U-PEs, each PE can
pretend that AIs are unique within the scope defined by 
its remote peer PE.

In the MH-PW case, AIs should retain the same scope of
uniqueness and define exactly the same pair of forwarders.
Any alternative would result in a substantial change of behavior
of the U-PEs. However, in this case the AIs are also recognized
by all the S-PEs terminating the PW segments. Hence the pentuple 

  {AGI, U-PE1, SAI-1, U-PE2, SAI-2}

must be unique in the scope defined by the pair of U-PEs
and will identify the both forwarders in U-PEs and the
PW stitching/switching/splicing functions in S-PEs.

Regards,
                                  Sasha Vainshtein
email:                         [email-masked] <mailto:[email-masked]> 
phone:                       +972-3-7569993 (office)
fax:                            +972-3-6487779
mobile:                      +972-52-8674833 

> From: [email-masked] [mailto:[email-masked]]
> Sent: Monday, March 07, 2005 4:26 PM
> To: [email-masked]; [email-masked]; [email-masked]
> Thanks for your reply. I agree that at S-PEs do not contain 
> forwarders as described in the PWE3 arch. My main point is 
> not really concerning forwarders, its about AI configuration 
> at S-PEs. In the PW switching draft, SH-PWs are setup 
> separately and then 'stitched' together. Now, in order to set 
> up each SH-PW using LDP, each side of a SH-PW must be 
> configured with an AI. At a U-PE an AI uniquely identifies a 
> forwarder, which selects which AC to forward traffic from the 
> PW to. However, what does an AI identify/map to at S-PEs? My 
> assumption is that an AI at S-PEs identifies a M-PW switching 
> function, which selects the correct egress SH-PW.
> 
>  
> 
> 	It depends on what you want to achieve: i.e. if a total 
> separation of signaling components is desired - like in some 
> Inter-provider scenarios BT described in the past - then you 
> can see the forwarders mapped the way you described above. 
> 
> 	Another valid scenario (e.g. MH PWs between networks 
> belonging to the same provider,large volume deployments) is 
> for the L2FEC to identify the PW Endpoints: i.e. as a 
> subsystem connecting the AC to the PW - see 
> draft-ietf-pwe3-arch-07.txt " Forwarder (FWRD) is a PE 
> subsystem that selects the PW to use to transmit a payload 
> received on an AC."
> 
> 	From a switching point perspective the latter is 
> similar with the philosophy used to set up the MPLS Tunnels: 
> the LSR does not maintain a different identifier per 
> switching point for a L3FEC. Also in the L2 (e.g. PNNI) 
> networks there was no L2 address (e.g. NSAP) assigned on a 
> per SVC switching point.
> 
>

---

From: David McDysan <[email-masked]>
Date: Mon, 07 Mar 2005 14:04:36 -0500

I agree, MH-PW end point identification and provisioning should be
consistent with that of SH-PW.

I believe that what you state is described in section 5.2.1 of
draft-balus-mh-pw-control-protocol-00.txt.

Dave

> Behalf Of Sasha Vainshtein
> Sent: Monday, March 07, 2005 10:42 AM
> To: [email-masked]'
> Cc: [email-masked]; [email-masked]
> IMHO the question - as clarified in your latest email - is a 
> valid and important one.
> 
> forwarders in the scope defined by the pair of U-PEs. Since 
> they are only recognized by the U-PEs, each PE can pretend 
> that AIs are unique within the scope defined by 
> its remote peer PE.
> 
> Any alternative would result in a substantial change of 
> behavior of the U-PEs. However, in this case the AIs are also 
> recognized by all the S-PEs terminating the PW segments. 
> Hence the pentuple 
>

---

From: Sasha Vainshtein <[email-masked]>
Date: Tue, 8 Mar 2005 10:11:02 +0200

Dave and all,
Please see a brief comment inline below.

Hopefully it will be useful.
Regards,
                                  Sasha Vainshtein
email:                         [email-masked] <mailto:[email-masked]> 
phone:                       +972-3-7569993 (office)
fax:                            +972-3-6487779
mobile:                      +972-52-8674833 

> From: David McDysan [mailto:[email-masked]]
> Sent: Monday, March 07, 2005 9:05 PM
> To: Sasha Vainshtein; [email-masked]
[Sasha] I have re-read this section and that it correctly expresses
the need for consistency of the MH-PW end point identification with that
of the SH-PW. I also think that it is worth to extend this section
to cover also the Generalized PW FEC (most of the text deals only
with the PWID FEC).

---

From: David McDysan <[email-masked]>
Date: Tue, 08 Mar 2005 14:15:20 -0500

Sasha, 

We will reword the text to more explicitly describe the Generalized ID FEC
text and state that the U-Pes are identified in the new MH TLV that we
propose.

Dave

> Sent: Tuesday, March 08, 2005 3:11 AM
> To: 'David McDysan'
> Cc: [email-masked]; [email-masked]; 
> [email-masked]; Steve Byars
> [Sasha] I have re-read this section and that it correctly 
> expresses the need for consistency of the MH-PW end point 
> identification with that of the SH-PW. I also think that it 
> is worth to extend this section to cover also the Generalized 
> PW FEC (most of the text deals only with the PWID FEC).
> 
> > 
> > Dave
> > 
> > > must be unique in the scope defined by the pair of U-PEs and will 
> > > identify the both forwarders in U-PEs and the PW 
> > > stitching/switching/splicing functions in S-PEs.
> > > 
> > > 
> > > Regards,
> > >                                   Sasha Vainshtein
> > > email:                         [email-masked] 
> > > > forwarders as described in the PWE3 arch. My main point is not 
> > > > really concerning forwarders, its about AI 
> configuration at S-PEs. 
> > > > In the PW switching draft, SH-PWs are setup separately and then 
> > > > 'stitched' together. Now, in order to set up each SH-PW 
> using LDP, 
> > > > each side of a SH-PW must be configured with an AI. At 
> a U-PE an 
> > > > AI uniquely identifies a forwarder, which selects which AC to 
> > > > forward traffic from the PW to. However, what does an AI 
> > > > identify/map to at S-PEs? My assumption is that an AI at S-PEs 
> > > > identifies a M-PW switching function, which selects the correct 
> > > > egress SH-PW.
> > > > 
> > > >  
> > > > 
> > > > 	> a PW. If both PEs are S-PEs then both map to 
> PWs. Is this 
> > > > correct?
> > > > 	>
> > > > 	  
> > > > Inter-provider scenarios BT described in the past - 
> then you can 
> > > > see the forwarders mapped the way you described above.
> > > > 
> > > > 	Another valid scenario (e.g. MH PWs between 
> networks belonging to 
> > > > the same provider,large volume deployments) is for the L2FEC to 
> > > > identify the PW Endpoints: i.e. as a subsystem 
> connecting the AC 
> > > > to the PW - see draft-ietf-pwe3-arch-07.txt " Forwarder 
> (FWRD) is 
> > > > a PE subsystem that selects the PW to use to transmit a payload
> > > > received on an AC."
> > > >